From f2185bda97ced6f4c4b9026b05c7795aefcfcdcd Mon Sep 17 00:00:00 2001
From: Steve Dodier-Lazaro <sidnioulz@gmail.com>
Date: Mon, 23 Mar 2015 12:57:27 +0000
Subject: [PATCH 1/2] Fixed keyboard shortcuts

---
 src/planner-gantt-view.c    | 14 +++++++-------
 src/planner-resource-view.c |  6 +++---
 src/planner-task-view.c     | 20 ++++++++++----------
 src/planner-window.c        |  8 ++++----
 4 files changed, 24 insertions(+), 24 deletions(-)

diff --git a/src/planner-gantt-view.c b/src/planner-gantt-view.c
index 8c839cd..bc2d6c1 100644
--- a/src/planner-gantt-view.c
+++ b/src/planner-gantt-view.c
@@ -142,19 +142,19 @@ static const GtkActionEntry entries[] = {
 	  NULL,                NULL,
 	  G_CALLBACK (gantt_view_insert_tasks_cb) },
 	{ "RemoveTask",      "planner-stock-remove-task",    N_("_Remove Task"),
-	  "<control>d",        N_("Remove the selected tasks"),
+	  "Delete",           N_("Remove the selected tasks"),
 	  G_CALLBACK (gantt_view_remove_task_cb) },
 	{ "EditTask",        NULL,                           N_("_Edit Task Properties..."),
-	  "<shift><control>e", NULL,
+	  "<control>e",       NULL,
 	  G_CALLBACK (gantt_view_edit_task_cb) },
 	{ "SelectAll",       NULL,                           N_("Select _All"),
-	  "<control>a",        N_("Select all tasks"),
+	  NULL,               N_("Select all tasks"),
 	  G_CALLBACK (gantt_view_select_all_cb) },
 	{ "UnlinkTask",      "planner-stock-unlink-task",    N_("_Unlink Task"),
-	  NULL,                N_("Unlink the selected tasks"),
+	  "<control>u",        N_("Unlink the selected tasks"),
 	  G_CALLBACK (gantt_view_unlink_task_cb) },
 	{ "LinkTasks",       "planner-stock-link-task",      N_("_Link Tasks"),
-	  NULL,                N_("Link the selected tasks"),
+	  "<control>l",        N_("Link the selected tasks"),
 	  G_CALLBACK (gantt_view_link_tasks_cb) },
 	{ "IndentTask",      "planner-stock-indent-task",    N_("I_ndent Task"),
 	  "<shift><control>i", N_("Indent the selected tasks"),
@@ -163,10 +163,10 @@ static const GtkActionEntry entries[] = {
 	  "<shift><control>u", N_("Unindent the selected tasks"),
 	  G_CALLBACK (gantt_view_unindent_task_cb) },
 	{ "MoveTaskUp",      "planner-stock-move-task-up",   N_("Move Task _Up"),
-	  NULL,                N_("Move the selected tasks upwards"),
+	  "<control>Up",       N_("Move the selected tasks upwards"),
 	  G_CALLBACK (gantt_view_move_task_up_cb) },
 	{ "MoveTaskDown",    "planner-stock-move-task-down", N_("Move Task Do_wn"),
-	  NULL,                N_("Move the selected tasks downwards"),
+	  "<control>Down",     N_("Move the selected tasks downwards"),
 	  G_CALLBACK (gantt_view_move_task_down_cb) },
 	{ "ResetConstraint", NULL,                           N_("Reset _Constraint"),
 	  NULL,                NULL,
diff --git a/src/planner-resource-view.c b/src/planner-resource-view.c
index ec89365..9aff2df 100644
--- a/src/planner-resource-view.c
+++ b/src/planner-resource-view.c
@@ -237,16 +237,16 @@ static const GtkActionEntry entries[] = {
 	  NULL,                NULL,
 	  G_CALLBACK (resource_view_insert_resources_cb) },
 	{ "RemoveResource",   "planner-stock-remove-resource", N_("_Remove Resource"),
-	  "<Control>d",        N_("Remove the selected resource"),
+	  "Delete",            N_("Remove the selected resource"),
 	  G_CALLBACK (resource_view_remove_resource_cb) },
 	{ "EditResource",     GTK_STOCK_PROPERTIES,            N_("_Edit Resource Properties..."),
-	  "<Shift><Control>e", NULL,
+	  "<Control>e",        NULL,
 	  G_CALLBACK (resource_view_edit_resource_cb) },
 	{ "EditGroups",       "planner-stock-edit-groups",     N_("Edit _Groups"),
 	  NULL,                N_("Edit resource groups"),
 	  G_CALLBACK (resource_view_edit_groups_cb) },
 	{ "SelectAll",        NULL,                            N_("Select _All"),
-	  "<Control>a",        N_("Select all tasks"),
+	  NULL,                N_("Select all resources"),
 	  G_CALLBACK (resource_view_select_all_cb) },
 	{ "EditCustomProps",  GTK_STOCK_PROPERTIES,            N_("Edit _Custom Properties..."),
 	  NULL,                NULL,
diff --git a/src/planner-task-view.c b/src/planner-task-view.c
index 4e9977e..561f390 100644
--- a/src/planner-task-view.c
+++ b/src/planner-task-view.c
@@ -120,22 +120,22 @@ static const GtkActionEntry entries[] = {
 	  "<Control>i",        N_("Insert a new task"),
           G_CALLBACK (task_view_insert_task_cb) },
 	{ "InsertTasks",     "planner-stock-insert-task",      N_("In_sert Tasks..."),
-	  NULL,                NULL,
-	  G_CALLBACK (task_view_insert_tasks_cb) },
+         NULL,                NULL,
+         G_CALLBACK (task_view_insert_tasks_cb) },
 	{ "RemoveTask",      "planner-stock-remove-task",      N_("_Remove Task"),
-	  "<Control>d",        N_("Remove the selected tasks"),
+	  "Delete",           N_("Remove the selected tasks"),
 	  G_CALLBACK (task_view_remove_task_cb) },
 	{ "EditTask",        NULL,                             N_("_Edit Task"),
-	  "<Shift><Control>e", NULL,
+	  "<Control>e",       NULL,
 	  G_CALLBACK (task_view_edit_task_cb) },
 	{ "SelectAll",       NULL,                             N_("Select _All"),
-	  "<Control>a",        N_("Select all tasks"),
+	  NULL,               N_("Select all tasks"),
 	  G_CALLBACK (task_view_select_all_cb) },
 	{ "UnlinkTask",      "planner-stock-unlink-task",      N_("_Unlink Task"),
-	  NULL,                N_("Unlink the selected tasks"),
+	  "<Control>u",        N_("Unlink the selected tasks"),
 	  G_CALLBACK (task_view_unlink_task_cb) },
 	{ "LinkTasks",       "planner-stock-link-task",        N_("_Link Tasks"),
-	  NULL,                N_("Link the selected tasks"),
+	  "<Control>l",         N_("Link the selected tasks"),
 	  G_CALLBACK (task_view_link_tasks_cb) },
 	{ "IndentTask",      "planner-stock-indent-task",      N_("I_ndent Task"),
 	  "<Shift><Control>i", N_("Indent the selected tasks"),
@@ -144,10 +144,10 @@ static const GtkActionEntry entries[] = {
 	  "<Shift><Control>u", N_("Unindent the selected tasks"),
 	  G_CALLBACK (task_view_unindent_task_cb) },
 	{ "MoveTaskUp",      "planner-stock-move-task-up",     N_("Move Task _Up"),
-	  NULL,                N_("Move the selected tasks upwards"),
+	  "<Control>Up",       N_("Move the selected tasks upwards"),
 	  G_CALLBACK (task_view_move_task_up_cb) },
 	{ "MoveTaskDown",    "planner-stock-move-task-down",   N_("Move Task Do_wn"),
-	  NULL,                N_("Move the selected tasks downwards"),
+	  "<Control>Down",     N_("Move the selected tasks downwards"),
 	  G_CALLBACK (task_view_move_task_down_cb) },
 	{ "ResetConstraint", "planner-stock-reset-constraint", N_("Reset _Constraint"),
           NULL,                NULL,
@@ -161,7 +161,7 @@ static const GtkActionEntry entries[] = {
 };
 
 static const GtkToggleActionEntry toggle_entries[] = {
-	{ "HighlightCriticalTasks", NULL, N_("_Highlight Critical Tasks"), NULL, NULL,
+	{ "HighlightCriticalTasks", NULL, N_("_Highlight Critical Tasks"), "<Control>h", NULL,
 	  G_CALLBACK (task_view_highlight_critical_cb), FALSE },
 	{ "NonstandardDays", NULL, N_("_Nonstandard Days"), NULL, NULL,
 	  G_CALLBACK (task_view_nonstandard_days_cb), FALSE }
diff --git a/src/planner-window.c b/src/planner-window.c
index 3276eb5..b3689fb 100644
--- a/src/planner-window.c
+++ b/src/planner-window.c
@@ -221,7 +221,7 @@ static GtkActionEntry entries[] = {
 	  G_CALLBACK (window_new_cb)
 	},
 	{ "FileOpen",
-	  GTK_STOCK_OPEN,          N_("_Open..."),                 "F3",                N_("Open a project"),
+	  GTK_STOCK_OPEN,          N_("_Open..."),                 "<Control>o",        N_("Open a project"),
 	  G_CALLBACK (window_open_cb) },
 	{ "FileOpenRecent",
 	  NULL,                    N_("Open _Recent"),             NULL,                NULL,
@@ -249,10 +249,10 @@ static GtkActionEntry entries[] = {
 	  GTK_STOCK_PRINT_PREVIEW, N_("Print Pre_view"),           "<Shift><Control>p", N_("Print preview of the current project"),
 	  G_CALLBACK (window_print_cb) },
 	{ "FileClose",
-	  GTK_STOCK_CLOSE,         N_("_Close"),                   "<Control>w",        N_("Close the current file"),
+	  GTK_STOCK_CLOSE,         N_("_Close Project"),           "<Control>q",        N_("Close the current file"),
 	  G_CALLBACK (window_close_cb) },
 	{ "FileExit",
-	  GTK_STOCK_QUIT,          N_("_Quit"),                    "<Control>q",        N_("Exit the program"),
+	  GTK_STOCK_QUIT,          N_("_Quit"),                    "<Shift><Control>q", N_("Exit the program"),
 	  G_CALLBACK (window_exit_cb) },
 
 	{ "Edit",
@@ -262,7 +262,7 @@ static GtkActionEntry entries[] = {
 	  GTK_STOCK_UNDO,          N_("_Undo"),                    "<Control>z",        N_("Undo the last action"),
 	  G_CALLBACK (window_undo_cb) },
 	{ "EditRedo",
-	  GTK_STOCK_REDO,          N_("_Redo"),                    "<Control>r",        N_("Redo the undone action"),
+	  GTK_STOCK_REDO,          N_("_Redo"),                    "<Shift><Control>z", N_("Redo the undone action"),
 	  G_CALLBACK (window_redo_cb) },
 
 	{ "View",
-- 
2.3.3

